curl --request GET \
--url "https://api.roe-ai.com/v1/datasets/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{
"message": "<string>"
}Roe Datasets
List Datasets
Retrieve a list of datasets or create a new dataset.
GET
/
v1
/
datasets
/
curl --request GET \
--url "https://api.roe-ai.com/v1/datasets/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}{
"message": "<string>"
}curl --request GET \
--url "https://api.roe-ai.com/v1/datasets/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"
Authorizations
Organization API key passed as a Bearer token. This is the scheme used by the public SDK surface.
Query Parameters
Filter datasets by organization ID. If not provided, it lists the user's personal datasets.
A page number within the paginated result set.
Number of results to return per page.
Search datasets by name or creator name (case-insensitive contains match).